<div class="card" style="margin-top: 20px;">
    <div class="card-header">
        <h3 class="card-header-title d-flex align-items-center">
            {if $moduleLogoSrc}
                <img src="{$moduleLogoSrc}" alt="{$moduleDisplayName}" style="width: 100px; margin-right: 10px;"/>
            {/if}
        </h3>
    </div>
    <div class="card-body">
        <div class="row row-cols-1 row-cols-md-2 row-cols-lg-4">
            {* Order ID *}
            <div class="col mb-3">
                <div class="d-flex flex-column">
                    <div class="mb-1">
                        <strong>{l s='Order ID:' mod='bayarcash'}</strong>
                    </div>
                    <div>
                        {$orderId|escape:'html':'UTF-8'}
                    </div>
                </div>
            </div>
            {* Transaction ID *}
            {if $transactionId}
                <div class="col mb-3">
                    <div class="d-flex flex-column">
                        <div class="mb-1">
                            <strong>{l s='Transaction ID:' mod='bayarcash'}</strong>
                        </div>
                        <div>
                            {$transactionId|escape:'html':'UTF-8'}
                        </div>
                    </div>
                </div>
            {/if}
            {* Payment Channel *}
            {if $transaction && $channelInfo}
                <div class="col mb-3">
                    <div class="d-flex flex-column">
                        <div class="mb-1">
                            <strong>{l s='Payment Channel:' mod='bayarcash'}</strong>
                        </div>
                        <div class="d-flex align-items-center">
                            <span>{$channelInfo.text|escape:'html':'UTF-8'}</span>
                        </div>
                    </div>
                </div>
            {/if}
            {* Order Details *}
            {if $bayarcashOrder}
                <div class="col mb-3">
                    <div class="d-flex flex-column">
                        <div class="mb-1">
                            <strong>{l s='Order Reference:' mod='bayarcash'}</strong>
                        </div>
                        <div>
                            {$bayarcashOrder->reference|escape:'html':'UTF-8'}
                        </div>
                    </div>
                </div>
                <div class="col mb-3">
                    <div class="d-flex flex-column">
                        <div class="mb-1">
                            <strong>{l s='Total:' mod='bayarcash'}</strong>
                        </div>
                        <div>
                            RM {$bayarcashOrder->total_paid|number_format:2|escape:'html':'UTF-8'}
                        </div>
                    </div>
                </div>
                <div class="col mb-3">
                    <div class="d-flex flex-column">
                        <div class="mb-1">
                            <strong>{l s='Status:' mod='bayarcash'}</strong>
                        </div>
                        <div>
                            <span class="badge" style="background-color: {$bayarcashOrder->getCurrentOrderState()->color|escape:'html':'UTF-8'}; color: white !important; padding: 5px 10px;">
                                {$bayarcashOrder->getCurrentOrderState()->name[$bayarcashOrder->id_lang]|escape:'html':'UTF-8'}
                            </span>
                        </div>
                    </div>
                </div>
                {* Transaction Timestamps *}
                {if $transaction}
                    <div class="col mb-3">
                        <div class="d-flex flex-column">
                            <div class="mb-1">
                                <strong>{l s='Created At:' mod='bayarcash'}</strong>
                            </div>
                            <div>
                                {$transaction.created_at|escape:'html':'UTF-8'}
                            </div>
                        </div>
                    </div>
                    <div class="col mb-3">
                        <div class="d-flex flex-column">
                            <div class="mb-1">
                                <strong>{l s='Last Updated:' mod='bayarcash'}</strong>
                            </div>
                            <div>
                                {$transaction.updated_at|escape:'html':'UTF-8'}
                            </div>
                        </div>
                    </div>
                {/if}
            {/if}
        </div>
    </div>
</div>