{if $status}
    <div class="box order-confirmation">
        <h3 class="h1 card-title">{l s='Thank you for your purchase!' mod='bayarcash'}</h3>

        <div class="card">
            <div class="card-body">
                {* Order Details Section *}
                <div class="row mb-4">
                    <div class="col-12 pr-12" style="padding-left: 20px;">
                        <p class="mb-2">
                            <strong>{l s='Order Reference:' mod='bayarcash'}</strong>
                            <span>{$order->reference|escape:'html':'UTF-8'}</span>
                        </p>
                        <p class="mb-2">
                            <strong>{l s='Order Amount:' mod='bayarcash'}</strong>
                            <span>RM {$order->total_paid|number_format:2|escape:'html':'UTF-8'}</span>
                        </p>
                        <p>
                            <strong>{l s='Payment Status:' mod='bayarcash'}</strong>
                            <span class="badge" style="background-color: {$order->getCurrentOrderState()->color}; color: white; padding: 5px 10px;">
                                {$order->getCurrentOrderState()->name[$order->id_lang]|escape:'html':'UTF-8'}
                            </span>
                        </p>
                    </div>
                </div>

                {* Payment Instructions Section *}
                <div class="alert alert-info" role="alert">
                    <h4 class="alert-heading">{l s='Important Information' mod='bayarcash'}</h4>
                    <ul class="mb-0">
                        <li>{l s='Please save your order reference number for future correspondence.' mod='bayarcash'}</li>
                        <li>{l s='A confirmation email has been sent to your email address.' mod='bayarcash'}</li>
                        <li>{l s='You can track your order status in your order history.' mod='bayarcash'}</li>
                    </ul>
                </div>
            </div>
        </div>

        {* Continue Shopping Button *}
        <div class="text-center mt-4">
            <a href="{$urls.base_url}" class="btn btn-primary">
                {l s='Continue Shopping' mod='bayarcash'}
            </a>
        </div>
    </div>
{else}
    <div class="alert alert-warning">
        {l s='We noticed a problem with your order. If you think this is an error, please contact our support.' mod='bayarcash'}
    </div>
{/if}